summaryrefslogtreecommitdiff
path: root/dev-python/pyxml/pyxml-0.8.4-r4.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-17 23:35:33 +0000
committerLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-17 23:35:33 +0000
commit8e8120eabdd28020aa69c7a60505cce2edd20adc (patch)
tree061bf0acdc672720e0bc3a2d575f67d25aedb2d8 /dev-python/pyxml/pyxml-0.8.4-r4.ebuild
parentc16790af2c9b4cbc38e565d4311252193ff85484 (diff)
downloadbaldeagleos-repo-21.1.2.tar.gz
baldeagleos-repo-21.1.2.tar.xz
baldeagleos-repo-21.1.2.zip
Updating liguros repo21.1.2
Diffstat (limited to 'dev-python/pyxml/pyxml-0.8.4-r4.ebuild')
-rw-r--r--dev-python/pyxml/pyxml-0.8.4-r4.ebuild77
1 files changed, 77 insertions, 0 deletions
diff --git a/dev-python/pyxml/pyxml-0.8.4-r4.ebuild b/dev-python/pyxml/pyxml-0.8.4-r4.ebuild
new file mode 100644
index 000000000000..85d95dce22a6
--- /dev/null
+++ b/dev-python/pyxml/pyxml-0.8.4-r4.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_{6,7,8,9,10} )
+
+DISTUTILS_USE_SETUPTOOLS=manual
+inherit distutils-r1 eutils
+
+MY_P=${P/pyxml/PyXML}
+
+DESCRIPTION="A collection of libraries to process XML with Python"
+HOMEPAGE="https://sourceforge.net/projects/pyxml/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+
+LICENSE="BSD CNRI MIT PSF-2 public-domain"
+# Other licenses:
+# BeOpen Python Open Source License Agreement Version 1
+# Zope Public License (ZPL) Version 1.0
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc examples"
+
+DEPEND="
+ dev-python/setuptools-python2[${PYTHON_USEDEP}]
+ >=dev-libs/expat-1.95.6"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+python_prepare_all() {
+ local PATCHES=(
+ "${FILESDIR}/${P}-python-2.6.patch"
+ )
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ # use the already-installed shared copy of libexpat
+ distutils-r1_python_compile --with-libexpat="${EPREFIX}/usr"
+}
+
+python_test() {
+ # Delete internal copy of old version of unittest module.
+ local BROKENTESTS=(
+ test_filter
+ test_howto
+ test_minidom
+ test_xmlbuilder
+ unittest
+ test_expatreader
+ )
+
+ for test_file in ${BROKENTESTS[@]}; do
+ test_file="test/${test_file}.py"
+ einfo "Removing dubious test \"${test_file}\""
+ rm ${test_file} || die "can't remove ${test_file}"
+ eend $?
+ done
+
+ cd test || die
+ "${PYTHON}" regrtest.py || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ local DOCS=( ANNOUNCE CREDITS doc/*.txt )
+
+ distutils-r1_python_install_all
+
+ doman doc/man/*
+ if use doc; then
+ dohtml -A api,web -r doc/*
+ dodoc doc/*.tex
+ fi
+ use examples && dodoc -r demo
+}